<?php
namespace SCM\Controllers;

use Zeedhi\Framework\DataSource\DataSet;
use Zeedhi\Framework\DTO\Request;
use Zeedhi\Framework\DTO\Response;
use Zeedhi\Framework\DTO\Response\Message;
use Zeedhi\Framework\DTO\Response\Error;
use Util\Validation;
use SCM\Traits\TResponse;

class Cardapio extends \Zeedhi\Framework\Controller\Simple {
    
    use TResponse;

	protected $cardapio;
	protected $environment;

	public function __construct(\SCM\Services\Cardapio $cardapio, $environment) {
        $this->cardapio = $cardapio;
        $this->environment = $environment;
    }

    public function retornaPratosCardapios(Request $request, Response $response) {
        try {
            $params = $request->getParameters();
        	
        	$cdfilcentpme = $params['CDFILCENTPME'];
            $cdfilial = $params['CDFILIAL'];
            $dtInicial = $params['DTINICIAL'];
            $dtFinal = $params['DTFINAL'];
            $nrorg = $this->environment->getNrorg();

            $cardapioFilial = $this->cardapio->retornaPratosCardapios($cdfilcentpme, $cdfilial, $dtInicial, $dtFinal, $nrorg);
            $this->sendResponse($cardapioFilial);
        } catch (\Exception $e) {
            $response->setError(new Error($e->getMessage(), $e->getCode()));
        }
    }
    
    public function retornaServicosCardapio(Request $request, Response $response) {
        try {
            $params = $request->getParameters();
        	
        	$cdfilcentpme = $params['CDFILCENTPME'];
        	$cdfilial = $params['CDFILIAL'];
            $dtInicial = $params['DTINICIAL'];
            $dtFinal = $params['DTFINAL'];
            $nrorg = $this->environment->getNrorg();

            $tiposCardapio = $this->cardapio->retornaServicosCardapio($cdfilcentpme, $cdfilial, $dtInicial, $dtFinal, $nrorg);
            $this->sendResponse($tiposCardapio);
        } catch (\Exception $e) {
            $response->setError(new Error($e->getMessage(), $e->getCode()));
        }
    }
    
    public function retornaTiposCardapio(Request $request, Response $response) {
        try {
            $params = $request->getParameters();
        	
        	$cdfilcentpme = $params['CDFILCENTPME'];
            $dtInicial = $params['DTINICIAL'];
            $dtFinal = $params['DTFINAL'];
            $nrorg = $this->environment->getNrorg();

            $tiposCardapio = $this->cardapio->retornaTiposCardapio($cdfilcentpme, $dtInicial, $dtFinal, $nrorg);
            $this->sendResponse($tiposCardapio);
        } catch (\Exception $e) {
            $response->setError(new Error($e->getMessage(), $e->getCode()));
        }
    }
}