import { ZdFramePage } from '@zeedhi/vuetify';

const routes = [
  {
    path: '/auth/login',
    name: 'login',
    component: ZdFramePage,
    props: {
      path: 'login',
      local: true,
      JSONCache: true,
    },
  },
  {
    path: '/',
    name: 'home',
    component: ZdFramePage,
    props: () => ({
      path: 'home',
      local: true,
      JSONCache: true,
    }),
  },
  {
    path: '/modules/:module/:page',
    name: 'microservice',
    component: () => import('../views/Microservice.vue'),
  },
  {
    path: '*',
    component: ZdFramePage,
    props: {
      path: 'notfound',
      local: true,
      JSONCache: true,
    },
  },
  {
    path: '/inventarios',
    name: 'inventarios',
    component: ZdFramePage,
    props: () => ({
      path: 'inventarios/inventarios',
      local: true,
      JSONCache: true,
    }),
  },
  {
    path: '/solicitacao_compras',
    name: 'solicitacao_compras',
    component: ZdFramePage,
    props: () => ({
      path: 'solicitacao_compras/solicitacao_compras',
      local: true,
      JSONCache: true,
    }),
  },
  {
    path: '/efetivos',
    name: 'efetivos',
    component: ZdFramePage,
    props: () => ({
      path: 'efetivos/efetivos',
      local: true,
      JSONCache: true,
    }),
  },
  {
    path: '/autorizacao_fornecimento',
    name: 'autorizacao_fornecimento',
    component: ZdFramePage,
    props: () => ({
      path: 'afs/autorizacao_fornecimento',
      local: true,
      JSONCache: true,
    }),
  },
  {
    path: '/importacao',
    name: 'importacao',
    component: ZdFramePage,
    props: () => ({
      path: 'importacao',
      local: true,
      JSONCache: true,
    }),
  },
  // {
  //   path: '/exportacao',
  //   name: 'exportacao',
  //   component: ZdFramePage,
  //   props: () => ({
  //     path: 'exportacao',
  //     local: true,
  //     JSONCache: true,
  //   }),
  // },
  {
    path: '/errors',
    name: 'errors',
    component: ZdFramePage,
    props: () => ({
      path: 'errors',
      local: true,
      JSONCache: true,
    }),
  },
  {
    path: '/cardapio',
    name: 'cardapio',
    component: ZdFramePage,
    props: () => ({
      path: 'cardapio/cardapio',
      local: true,
      JSONCache: true,
    }),
  },
];

export default routes;
